/***************************************************************************
 *   Copyright (C) 2009-2016 Helge Kortendieck  <alan@kasmithee.de>        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef _RW_H_
#define _RW_H_

#include <QDir>
#include <QFile>
#include <QFileInfo>
#include <QList>
#include <QObject>
#include <QRegExp>
#include <QString>
#include <QStringList>
#include <QTextStream>

//#include "structs.h"

#include <iostream>
using namespace std;

	int rwChkProgs();									// check for installed programs

	int rwDirCreate(const QString sD);					// create (sub)directory: 0=we failed, 1=we succeeded (need to clean up), 2=existed (do not clean up)
	bool rwDirChkWritable(const QString sD);			// check whether dir is writable, full path
	QString rwDirPathEnsureSlash(const QString& sD);	// ensure path has a slash at the end
	QString rwDirSubSetName(const QString& sD, int iD);	// set name of sub dir, 1=wav/ or 2=mp3/
	bool rwDirDel(const QString sD);					// delete (sub)directory: 0=we failed, 1=we succeeded

	QStringList rwFilesGet(const QString sD, int iRwD);	// get list of mp3s to normalize, 1=mp3, 2=wav
	bool rwFilesDel(const QStringList slD);				// delete files, full path


#endif		// _RW_H_
